// Loaded on options.html

var extensionInfo = {};

var exitBtn = null;
var homepageBtn = null;

var jmuconfigMaxRetries = 4;

chrome.runtime.onMessage.addListener(function(msg, sender, sendResponse) {
   if ( msg.settings ) {
      extensionInfo.settings = msg.settings;
      updateElementsVisibility();
   }
});

document.addEventListener("DOMContentLoaded", function() {

//   checkRecoverySupport();

   // Get Settings
   chrome.runtime.sendMessage("", { cmd: "getInfo" }, function(info) {

      extensionInfo = info;

      if ( info.tabIndex != 0 ) {
         document.getElementById("back").addEventListener( "click", function(e) {
            chrome.tabs.getCurrent(function(tab) {
               chrome.extension.sendMessage({ cmd: "back" });
            });
         });

      } else {
         document.getElementById("back").classList.add("disabled");
      }

      exitBtn = document.getElementById("menu_exit");
      exitBtn.classList.remove("hidden");
      exitBtn.addEventListener( "click", function(e) {
         chrome.tabs.getCurrent(function(tab) {
            chrome.extension.sendMessage({ cmd: "exitChrome" });
         });
      });

      homepageBtn = document.getElementById("menu_homepage");
      homepageBtn.classList.remove("hidden");
      homepageBtn.addEventListener( "click", function(e) {
         chrome.tabs.getCurrent(function(tab) {
            chrome.extension.sendMessage({ cmd: "back", url: extensionInfo.settings.homepage });
         });
      });

      creditsLink = document.getElementById("credits_link");
      creditsLink.addEventListener( "click", function(e) {
          chrome.extension.sendMessage({ cmd: "credits" });
      });

      document.getElementById("menu_clearCache").addEventListener( "click", function(e) {
         chrome.extension.sendMessage({ cmd: "clearCache" });
      });

      document.getElementById("recovery_link").addEventListener( "click", function(e) {
         chrome.extension.sendMessage({ cmd: "recovery" });
      });

      updateElementsVisibility();
   });

   document.getElementById("loginForm").addEventListener( "submit", function(e) {
      e.preventDefault();
      unixLogin();
      return false;
   });
});

function updateElementsVisibility() {

   exitBtn = document.getElementById("menu_exit");
   if ( extensionInfo.flags.enableExitButton )
      exitBtn.classList.remove("hidden");
   else
      exitBtn.classList.add("hidden");

   if ( extensionInfo.settings.homepage && extensionInfo.settings.homepage != "" )
      homepageBtn.classList.remove("hidden");
   else
      homepageBtn.classList.add("hidden");
}

function unixLogin() {

   var passwdElem = document.getElementById("password");
   var passwd = passwdElem.value;
   var user = document.getElementById("user").value;

   passwdElem.value = "";

   if( !user)
      return;

   var xmlHttp = new XMLHttpRequest();
   xmlHttp.onreadystatechange = function() {
      if (xmlHttp.readyState != 4 )
         return;

      if ( xmlHttp.status == 200 )
         chrome.extension.sendMessage({ cmd: "login", user: user, pass: passwd});
      else {
         var errMsg = document.getElementById("Error");
         errMsg.innerHTML = "Login Failed";
         if ( xmlHttp.statusText )
            errMsg.innerHTML += ": " + xmlHttp.statusText;
         errMsg.style.visibility = "visible";
      }
   }

   xmlHttp.open("GET", "http://" + encodeURIComponent(user) + ":" + encodeURIComponent(passwd) + "@127.0.0.1:8080/rest/api/v1/authentication", true);
   xmlHttp.send(null);
}

function checkRecoverySupport() {

   var xmlHttpRecoverySupport = new XMLHttpRequest();

   xmlHttpRecoverySupport.onreadystatechange = function() {
      if (xmlHttpRecoverySupport.readyState != 4 )
         return;

      if ( xmlHttpRecoverySupport.status == 200 ) {

	 var result = JSON.parse(xmlHttpRecoverySupport.responseText);

         if ( result.status >= 0 ) {
            recoveryLink = document.getElementById("forgotMsgDiv");
            recoveryLink.classList.remove("hidden");
         }

      } else if ( jmuconfigMaxRetries > 0 ) {
         jmuconfigMaxRetries --;
         setTimeout(checkRecoverySupport, 3000);
      }
   }

   xmlHttpRecoverySupport.open("GET", "http://none:none@127.0.0.1:8080/devicerestore/getStatus", true);
   xmlHttpRecoverySupport.send(null);
}
