jlog('Setting up Chromium Credential Controller');

app.controller('jmuconfig.chromium.EditCredentialController',
[ '$scope', '$rootScope', '$http', '$translate', '$location', '$routeParams', '$anchorScroll', 'defines', 'dialog',
function ($scope, $rootScope, $http, $translate, $location, $routeParams, $anchorScroll, defines, dialog)
{
    jlog("Initialising Chromium EditCredentialController");

    var credentialsUrl = defines.restApiUrl + "/system/chromium/credentials";
    $scope.credentialId = $routeParams.id;

    $scope.passwordVisible = false;

    $scope.credential = {
      url: "",
      username: "",
      password: "",
    };

    if ($scope.credentialId) {
      $rootScope.loading = true;
      $http
        .get(credentialsUrl + "/" + $scope.credentialId)
        .success(function(res) {
          $rootScope.loading = false;
          $scope.credential = res;
          delete $scope.credential["id"];
        });
    }

    $scope.goBack = function() {
      $location.path("/chromium");
    };

    $scope.save = function() {
      $rootScope.loading = true;

      var saveFn = $scope.credentialId
        ? $http.put(
            credentialsUrl + "/" + $scope.credentialId,
            $scope.credential
          )
        : $http.post(credentialsUrl, $scope.credential);

      saveFn
        .success(function() {
          $rootScope.loading = false;
          $scope.goBack();
        })
        .error(function() {
          $rootScope.loading = false;
          $scope.editCredForm.$show();
          dialog.error(
            $translate.instant("_STATE_ERROR"),
            $translate.instant("_CREDENTIAL_SAVE_ERROR")
          );
        });
    };

    $scope.togglePasswordVisibility = function() {
      $scope.passwordVisible = !$scope.passwordVisible;
    };

}]);
