app.config(['$translateProvider',
function($translateProvider) {
  $translateProvider
    .translations('en', {
      '_BROWSER' :                   'Web Browser',
      '_ON_STARTUP' :                'On Startup',
      '_OPEN_HOMEPAGE' :             'Open homepage',
      '_OPEN_SETTINGS' :             'Open settings page',
      '_LAST_VISITED' :              'Continue where you left',
      '_USER_AGENT' :                'Change UserAgent',
      '_ENABLE_TOOLBAR' :            'Enable toolbar',
      '_TOOLBAR_ON_ERROR' :          'Show toolbar only on error',
      '_TOOLBAR_HISTORY' :           'Show history buttons',
      '_TOOLBAR_BOOKMARKS' :         'Show bookmarks',
      '_HOMEPAGE' :                  'Homepage',
      '_FALLBACK_PAGE' :             'Fallback page',
      '_LONG_PRESS_TIME' :           'Options press-and-hold time (s)',
      '_CHROMIUM_SAVE_ERROR' :       'Failed configuring web browser',
      '_ALLOW_DOWNLOAD' :            'Allow downloading files',
      '_NO_HOMEPAGE_ERROR' :         'Failed to save configuration. Browser was configured to open the homepage on startup but no homepage was set',
      '_SAVED_PASSWORDS' :           'Saved Passwords',
      '_WEBSITE' :                   'Web Site',
      '_ADD_CREDENTIAL'  :           'Add Password',
      '_USERNAME_FIELD' :            'Username Field',
      '_PASSWORD_FIELD' :            'Password Field',
      '_CREDENTIAL_SAVE_ERROR' :     'Failed saving Credential data',
      '_DELETE_CREDENTIAL_CONFIRM' : 'Are you sure that you want to delete the credential for the site {{ url }}?',
      '_DELETE_CREDENTIAL_ERROR' :   'Failed deleting Credential data',
      '_PASSWORD_IMPORT_SUCCESS' :   'Imported {{ parsed }} passwords out of {{ total }}.',
      '_PASSWORD_IMPORT_ERROR' :     'Cannot parse password file.',
      '_ENABLE_PASSWORD_MANAGER' :   'Enable password management',
      '_CREDENTIALS_SAVE_WARNING' :  'WARNING: Changes on credentials data will only take effect after restarting the device',
      '_CERTIFICATES' :              'Certificates',
      '_OPEN_CERT_MANAGER' :         'Open certificate manager',  // TODO
      '_CERTIFICATES_PREFERENCES' :  'Certificate preferences',  // TODO
      '_CLEAR_CERTIFICATE_WARNINGS' :'Re-enable certificate warnings', // TODO
      '_CERTIFICATE_CLEAR_CONFIRM':  'All self signed certificates warnings will be restored. Continue?', // TODO
      '_SUCCESS_REBOOT_REQUIRED':    'A reboot is required to apply changes. Reboot now?', // TODO
      '_ENABLE_VKEYBOARD' :          'Use system virtual keyboard', // TODO
      '_ENABLE_AUTOFILL' :           'Enable form autofill', // TODO
      '_OVERSCOLL_HISTORY' :         'Enable history navigation gesture', // TODO
    })
    .translations('it', {
      '_BROWSER' :                   'Browser Web',
      '_ON_STARTUP' :                'All\'avvio',
      '_OPEN_HOMEPAGE' :             'Apri homepage',
      '_OPEN_SETTINGS' :             'Apri pagina di configurazione',
      '_LAST_VISITED' :              'Apri ultima pagina visitata',
      '_USER_AGENT' :                'Cambia UserAgent',
      '_ENABLE_TOOLBAR' :            'Abilita toolbar',
      '_TOOLBAR_ON_ERROR' :          'Mostra toolbar solo su errore',
      '_TOOLBAR_HISTORY' :           'Mostra pulsanti navigazione',
      '_TOOLBAR_BOOKMARKS' :         'Mostra gestione bookmark',
      '_HOMEPAGE' :                  'Homepage',
      '_FALLBACK_PAGE' :             'Homepage secondaria',
      '_LONG_PRESS_TIME' :           'Timeout press-and-hold (s)',
      '_CHROMIUM_SAVE_ERROR' :       'Errore durante la configurazione del browser web',
      '_ALLOW_DOWNLOAD' :            'Permetti il download di file',
      '_NO_HOMEPAGE_ERROR' :         'Errore nel salvataggio della configurazione. Il browser è stato configurato per aprire l\'homepage all\'avvio ma nessuna homepage è stata specificata',
      '_SAVED_PASSWORDS' :           'Password salvate',
      '_WEBSITE' :                   'Sito Web',
      '_ADD_CREDENTIAL' :            'Aggiungi password',
      '_USERNAME_FIELD' :            'Campo Username',
      '_PASSWORD_FIELD' :            'Campo Password',
      '_CREDENTIAL_SAVE_ERROR' :     'Impossibile salvare le credenziali',
      '_DELETE_CREDENTIAL_CONFIRM' : 'Sei sicuro di voler eliminare le credenziali per il sito {{ url }}?',
      '_DELETE_CREDENTIAL_ERROR' :   'Impossibile cancellare le credenziali',
      '_PASSWORD_IMPORT_SUCCESS' :   'Importate {{ parsed }} password su {{ total }}.',
      '_PASSWORD_IMPORT_ERROR' :     'Impossibile decodificare il file di password.',
      '_ENABLE_PASSWORD_MANAGER' :   'Abilita password manager',
      '_CREDENTIALS_SAVE_WARNING' :  'ATTENZIONE: Le modifiche alle credenziali avranno effetto al successivo avvio del device',
      '_CERTIFICATES' :              'Certificati',
      '_OPEN_CERT_MANAGER' :         'Apri manager certificati',
      '_CERTIFICATES_PREFERENCES' :  'Preferenze certificati',
      '_CLEAR_CERTIFICATE_WARNINGS' :'Riabilita warning certificati',
      '_CERTIFICATE_CLEAR_CONFIRM':  'Tutti i warning sui certificati self-signed saranno ripristinati. Continuare?',
      '_SUCCESS_REBOOT_REQUIRED':    'E\' necessario un riavvio per applicare le modifiche. Riavviare ora?',
      '_ENABLE_VKEYBOARD' :          'Utilizza tastiera virtuale di sistema',
      '_ENABLE_AUTOFILL' :           'Abilita autofill form',
      '_OVERSCOLL_HISTORY' :         'Abilita gesture per la navigazione',
    })
    .translations('de', {
      '_BROWSER' :                   'Web-Browser',
      '_ON_STARTUP' :                'Während des Starts',
      '_OPEN_HOMEPAGE' :             'Startseite öffnen',
      '_OPEN_SETTINGS' :             'Seite der Einstellungen öffnen',
      '_LAST_VISITED' :              'Fortfahren, wo Sie aufgehört haben',
      '_USER_AGENT' :                'Benutzeragent ändern',
      '_ENABLE_TOOLBAR' :            'Symbolleiste aktivieren',
      '_TOOLBAR_ON_ERROR' :          'Symbolleiste nur bei Fehler anzeigen',
      '_TOOLBAR_HISTORY' :           'Verlauf-Schaltflächen anzeigen',
      '_TOOLBAR_BOOKMARKS' :         'Lesezeichen anzeigen',
      '_HOMEPAGE' :                  'Startseite',
      '_FALLBACK_PAGE' :             'Rückfall-Seite',
      '_LONG_PRESS_TIME' :           'Optionen Druckhaltezeit (s)',
      '_CHROMIUM_SAVE_ERROR' :       'Konfiguration des Web-Browsers fehlgeschlagen',
      '_ALLOW_DOWNLOAD' :            'Herunterladen von Dateien zulassen',
      '_NO_HOMEPAGE_ERROR' :         'Speichern der Konfiguration fehlgeschlagen. Browser wurde so konfiguriert, dass die Startseite beim Start geöffnet wird, aber es wurde keine Startseite eingestellt',
      '_SAVED_PASSWORDS' :           'Gespeicherte Passwörter',
      '_WEBSITE' :                   'Website',
      '_ADD_CREDENTIAL'  :           'Passwort hinzufügen',
      '_USERNAME_FIELD' :            'Benutzername-Feld',
      '_PASSWORD_FIELD' :            'Passwort-Feld',
      '_CREDENTIAL_SAVE_ERROR' :     'Fehler beim Speichern der Zugangsdaten',
      '_DELETE_CREDENTIAL_CONFIRM' : 'Sind Sie sicher, dass Sie die Zugangsdaten für die Website {{ url }} löschen möchten?',
      '_DELETE_CREDENTIAL_ERROR' :   'Fehler beim Löschen der Zugangsdaten',
      '_PASSWORD_IMPORT_SUCCESS' :   'Importierte {{ geparste }} Passwörter außerhalb von {{ insgesamt }}.',
      '_PASSWORD_IMPORT_ERROR' :     'Passwortdatei kann nicht geparst werden.',
      '_ENABLE_PASSWORD_MANAGER' :   'Passwortmanagement aktivieren',
      '_CREDENTIALS_SAVE_WARNING' :  'WARNUNG: Änderungen an den Zugangsdaten werden erst nach dem Neustart des Geräts wirksam',
      '_CERTIFICATES' :              'Zertifikate',
      '_OPEN_CERT_MANAGER' :         'Zertifikatsmanager öffnen',
      '_CERTIFICATES_PREFERENCES' :  'Zertifikateinstellungen',
      '_CLEAR_CERTIFICATE_WARNINGS' :'Zertifikatswarnungen wieder aktivieren',
      '_CERTIFICATE_CLEAR_CONFIRM':  'Alle Warnungen zu selbstsignierten Zertifikaten werden wiederhergestellt. Fortsetzen?',
      '_SUCCESS_REBOOT_REQUIRED':    'Um die Änderungen zu übernehmen, ist ein Neustart erforderlich. Jetzt neustarten?',
      '_ENABLE_VKEYBOARD' :          'Verwenden Sie die virtuelle Systemtastatur',
      '_ENABLE_AUTOFILL' :           'Aktivieren Sie das automatische Ausfüllen von Formularen',
      '_OVERSCOLL_HISTORY' :         'Verlaufsnavigationsgeste aktivieren',
    })
    .translations('zh', {
      '_BROWSER' :                   'Web 浏览器',
      '_ON_STARTUP' :                '启动时',
      '_OPEN_HOMEPAGE' :             '打开主页',
      '_OPEN_SETTINGS' :             '打开设置页面',
      '_LAST_VISITED' :              '从离开的位置继续',
      '_USER_AGENT' :                '更改用户代理',
      '_ENABLE_TOOLBAR' :            '启用工具栏',
      '_TOOLBAR_ON_ERROR' :          '仅在出错时才显示工具栏',
      '_TOOLBAR_HISTORY' :           '显示历史记录按钮',
      '_TOOLBAR_BOOKMARKS' :         '顯示書籤',
      '_HOMEPAGE' :                  '主页',
      '_FALLBACK_PAGE' :             '备用页面',
      '_LONG_PRESS_TIME' :           '选项按住时间（秒）',
      '_CHROMIUM_SAVE_ERROR' :       '配置 Web 浏览器失败',
      '_ALLOW_DOWNLOAD' :            '允许下载文件',
      '_NO_HOMEPAGE_ERROR' :         '无法保存配置。浏览器配置为在启动时打开主页，但未设置主页',
      '_SAVED_PASSWORDS' :           '保存的密码',
      '_WEBSITE' :                   '网站',
      '_ADD_CREDENTIAL'  :           '添加密码',
      '_USERNAME_FIELD' :            '用户名字段',
      '_PASSWORD_FIELD' :            '密码字段',
      '_CREDENTIAL_SAVE_ERROR' :     '保存凭据数据失败',
      '_DELETE_CREDENTIAL_CONFIRM' : '是否确定要删除网站 {{ url }} 的凭据？',
      '_DELETE_CREDENTIAL_ERROR' :   '删除凭据数据失败',
      '_PASSWORD_IMPORT_SUCCESS' :   '已导入 {{ parsed }} 个密码，共 {{ total }} 个。',
      '_PASSWORD_IMPORT_ERROR' :     '无法解析密码文件。',
      '_ENABLE_PASSWORD_MANAGER' :   '启用密码管理',
      '_CREDENTIALS_SAVE_WARNING' :  '警告：凭据数据更改仅在重启设备后生效',
      '_CERTIFICATES' :              '证书',
      '_OPEN_CERT_MANAGER' :         '打开证书管理器',
      '_CERTIFICATES_PREFERENCES' :  '證書首選項',
      '_CLEAR_CERTIFICATE_WARNINGS' :'重新啟用證書警告',
      '_CERTIFICATE_CLEAR_CONFIRM':  '所有自簽名證書警告都將恢復。繼續？',
      '_SUCCESS_REBOOT_REQUIRED':    '需要重新啟動才能應用更改。馬上重啟？',
      '_ENABLE_VKEYBOARD' :          '使用系统虚拟键盘',
      '_ENABLE_AUTOFILL' :           '啟用自動填充',
      '_OVERSCOLL_HISTORY' :         '啟用歷史導航手勢',
    })
    .translations('tw', {
      '_BROWSER' :                   '網路瀏覽器',
      '_ON_STARTUP' :                '啟動時',
      '_OPEN_HOMEPAGE' :             '開啟首頁',
      '_OPEN_SETTINGS' :             '開啟設定頁面',
      '_LAST_VISITED' :              '從離開的位置繼續',
      '_USER_AGENT' :                '變更使用者代理',
      '_ENABLE_TOOLBAR' :            '啟用工具列',
      '_TOOLBAR_ON_ERROR' :          '僅在出錯時顯示工具列',
      '_TOOLBAR_HISTORY' :           '顯示歷史記錄按鈕',
      '_TOOLBAR_BOOKMARKS' :         '显示书签',
      '_HOMEPAGE' :                  '首頁',
      '_FALLBACK_PAGE' :             '備用頁面',
      '_LONG_PRESS_TIME' :           '選項按住時間（秒）',
      '_CHROMIUM_SAVE_ERROR' :       '設定網路瀏覽器失敗',
      '_ALLOW_DOWNLOAD' :            '允許下載檔案',
      '_NO_HOMEPAGE_ERROR' :         '無法儲存組態。瀏覽器設定為在啟動時開啟首頁，但首頁未設定',
      '_SAVED_PASSWORDS' :           '儲存的密碼',
      '_WEBSITE' :                   '網站',
      '_ADD_CREDENTIAL'  :           '新增密碼',
      '_USERNAME_FIELD' :            '使用者名稱欄位',
      '_PASSWORD_FIELD' :            '密碼欄位',
      '_CREDENTIAL_SAVE_ERROR' :     '儲存認證資料失敗',
      '_DELETE_CREDENTIAL_CONFIRM' : '確定要刪除網站 {{ url }} 的認證資料嗎？',
      '_DELETE_CREDENTIAL_ERROR' :   '刪除認證資料失敗',
      '_PASSWORD_IMPORT_SUCCESS' :   '已匯入 {{ parsed }} 個密碼，共 {{ total }} 個。',
      '_PASSWORD_IMPORT_ERROR' :     '無法解析密碼檔案。',
      '_ENABLE_PASSWORD_MANAGER' :   '啟用密碼管理',
      '_CREDENTIALS_SAVE_WARNING' :  '警告：認證資料變更僅在重新啟動裝置後才會生效',
      '_CERTIFICATES' :              '憑證',
      '_OPEN_CERT_MANAGER' :         '開啟憑證管理程式',
      '_CERTIFICATES_PREFERENCES' :  '证书首选项',
      '_CLEAR_CERTIFICATE_WARNINGS' :'重新启用证书警告',
      '_CERTIFICATE_CLEAR_CONFIRM':  '所有自签名证书警告都将恢复。继续？',
      '_SUCCESS_REBOOT_REQUIRED':    '需要重新启动才能应用更改。马上重启？',
      '_ENABLE_VKEYBOARD' :          '使用系統虛擬鍵盤',
      '_ENABLE_AUTOFILL' :           '启用自动填充',
      '_OVERSCOLL_HISTORY' :         '启用历史导航手势',
    })
    .translations('ko', {
      '_BROWSER' :                   '웹 브라우저',
      '_ON_STARTUP' :                '시작 시',
      '_OPEN_HOMEPAGE' :             '홈페이지 열기',
      '_OPEN_SETTINGS' :             '설정 페이지 열기',
      '_LAST_VISITED' :              '마지막 방문 페이지에서 계속하기',
      '_USER_AGENT' :                'UserAgent 변경',
      '_ENABLE_TOOLBAR' :            '툴바 활성화',
      '_TOOLBAR_ON_ERROR' :          '오류 시에만 툴바 표시',
      '_TOOLBAR_HISTORY' :           '내역 버튼 표시',
      '_TOOLBAR_BOOKMARKS' :         '북마크 표시',
      '_HOMEPAGE' :                  '홈페이지',
      '_FALLBACK_PAGE' :             '대체 페이지',
      '_LONG_PRESS_TIME' :           '옵션을 누른 채 대기하는 시간(s)',
      '_CHROMIUM_SAVE_ERROR' :       '웹 브라우저 구성 실패',
      '_ALLOW_DOWNLOAD' :            '파일 다운로드 허용',
      '_NO_HOMEPAGE_ERROR' :         '구성을 저장하지 못했습니다. 브라우저 시작 시 홈페이지를 열도록 구성했지만, 홈페이지가 설정되지 않음',
      '_SAVED_PASSWORDS' :           '패스워드 저장',
      '_WEBSITE' :                   '웹 사이트',
      '_ADD_CREDENTIAL'  :           '패스워드 추가',
      '_USERNAME_FIELD' :            '사용자 이름 입력란',
      '_PASSWORD_FIELD' :            '패스워드 입력란',
      '_CREDENTIAL_SAVE_ERROR' :     '크리덴셜 데이터 저장 실패',
      '_DELETE_CREDENTIAL_CONFIRM' : '정말 {{ url }} 사이트에서 크리덴셜 정보를 삭제하시겠습니까?',
      '_DELETE_CREDENTIAL_ERROR' :   '크리덴셜 데이터 삭제 실패',
      '_PASSWORD_IMPORT_SUCCESS' :   '{{ total }} 중 {{ parsed }} 패스워드를 가져왔습니다.',
      '_PASSWORD_IMPORT_ERROR' :     '패스워드 파일을 파싱할 수 없습니다.',
      '_ENABLE_PASSWORD_MANAGER' :   '패스워드 관리 활성화',
      '_CREDENTIALS_SAVE_WARNING' :  '경고: 크리덴셜 데이터의 변경은 장치를 재시작한 후 적용됨',
      '_CERTIFICATES' :              '인증서',
      '_OPEN_CERT_MANAGER' :         '인증서 관리자 열기',
      '_CERTIFICATES_PREFERENCES' :  '인증서 기본 설정',
      '_CLEAR_CERTIFICATE_WARNINGS' :'인증서 경고 다시 활성화',
      '_CERTIFICATE_CLEAR_CONFIRM':  '자체 서명된 모든 인증서 경고가 복원됩니다. 계속하다?',
      '_SUCCESS_REBOOT_REQUIRED':    '변경 사항을 적용하려면 재부팅이 필요합니다. 지금 재시작 해?',
      '_ENABLE_VKEYBOARD' :          '시스템 가상 키보드를 사용하십시오',
      '_ENABLE_AUTOFILL' :           '양식 자동 완성 활성화',
      '_OVERSCOLL_HISTORY' :         '기록 탐색 제스처 사용',
    })
    .translations('fr', {
      '_BROWSER' :                   'Navigateur Web',
      '_ON_STARTUP' :                'Au moment du démarrage',
      '_OPEN_HOMEPAGE' :             'Ouvrir la page d\'accueil',
      '_OPEN_SETTINGS' :             'Ouvrir la page des Paramétrages',
      '_LAST_VISITED' :              'Continuer là où vous vous étiez arrêté(e)',
      '_USER_AGENT' :                'Changer l\'AgentUtilisateur',
      '_ENABLE_TOOLBAR' :            'Activer la barre d\'outils',
      '_TOOLBAR_ON_ERROR' :          'Afficher la barre d\'outils uniquement en cas d\'erreur',
      '_TOOLBAR_HISTORY' :           'Afficher les boutons d\'historique',
      '_TOOLBAR_BOOKMARKS' :         'Afficher les signets',
      '_HOMEPAGE' :                  'Page d\'accueil',
      '_FALLBACK_PAGE' :             'Page de repli',
      '_LONG_PRESS_TIME' :           'Options temps de pression et de maintien (s)',
      '_CHROMIUM_SAVE_ERROR' :       'Échec de configuration du navigateur Web',
      '_ALLOW_DOWNLOAD' :            'Autoriser le téléchargement des fichiers',
      '_NO_HOMEPAGE_ERROR' :         'Erreur lors de la sauvegarde de la configuration. Le navigateur a été configuré pour ouvrir la page d\'accueil au démarrage mais aucune page d\'accueil n\'a été définie',
      '_SAVED_PASSWORDS' :           'Mots de passe enregistrés',
      '_WEBSITE' :                   'Site Web',
      '_ADD_CREDENTIAL'  :           'Ajouter un mot de passe',
      '_USERNAME_FIELD' :            'Champ identifiant',
      '_PASSWORD_FIELD' :            'Champ mot de passe',
      '_CREDENTIAL_SAVE_ERROR' :     'Échec de sauvegarde des données d\'identification',
      '_DELETE_CREDENTIAL_CONFIRM' : 'Êtes-vous sûr de vouloir supprimer l\'identifiant pour le site {{ url }} ?',
      '_DELETE_CREDENTIAL_ERROR' :   'Échec de suppression des données d\'identification',
      '_PASSWORD_IMPORT_SUCCESS' :   'Mots de passe importés {{ parsed }} sur {{ total }}.',
      '_PASSWORD_IMPORT_ERROR' :     'Impossible d\'analyser le fichier de mot de passe.',
      '_ENABLE_PASSWORD_MANAGER' :   'Autoriser la gestion des mots de passe',
      '_CREDENTIALS_SAVE_WARNING' :  'AVERTISSEMENT : Les modifications des données d\'identification ne prendront effet qu\'après le redémarrage de l\'appareil',
      '_CERTIFICATES' :              'Certificats',
      '_OPEN_CERT_MANAGER' :         'Ouvrir le gestionnaire de certificats',
      '_CERTIFICATES_PREFERENCES' :  'Préférences de certificat',
      '_CLEAR_CERTIFICATE_WARNINGS' :'Réactiver les avertissements de certificat',
      '_CERTIFICATE_CLEAR_CONFIRM':  'Tous les avertissements de certificats auto-signés seront restaurés. Continuez?',
      '_SUCCESS_REBOOT_REQUIRED':    'Un redémarrage est nécessaire pour appliquer les modifications. Redémarrer maintenant?',
      '_ENABLE_VKEYBOARD' :          'Utilisez le clavier virtuel du système',
      '_ENABLE_AUTOFILL' :           'Activer le remplissage automatique du formulaire',
      '_OVERSCOLL_HISTORY' :         'Activer le geste de navigation dans l\'historique',
    })
    .translations('jp', {
      '_BROWSER' :                   'Webブラウザ',
      '_ON_STARTUP' :                '起動時',
      '_OPEN_HOMEPAGE' :             'ホームページを開きます',
      '_OPEN_SETTINGS' :             '設定ページを開きます',
      '_LAST_VISITED' :              '中断したところから続行します',
      '_USER_AGENT' :                'UserAgentを変更します',
      '_ENABLE_TOOLBAR' :            'ツールバーを有効にします',
      '_TOOLBAR_ON_ERROR' :          'エラー時にのみツールバーを表示します',
      '_TOOLBAR_HISTORY' :           '履歴ボタンを表示します',
      '_TOOLBAR_BOOKMARKS' :         'ブックマークを表示する',
      '_HOMEPAGE' :                  'ホームページ',
      '_FALLBACK_PAGE' :             'フォールバックページ',
      '_LONG_PRESS_TIME' :           'オプションの長押し時間(秒)',
      '_CHROMIUM_SAVE_ERROR' :       'Webブラウザの設定に失敗しました',
      '_ALLOW_DOWNLOAD' :            'ファイルのダウンロードを許可します',
      '_NO_HOMEPAGE_ERROR' :         '設定の保存に失敗しました。起動時にホームページを開くようにブラウザが設定されましたが、ホームページが設定されていません',
      '_SAVED_PASSWORDS' :           '保存されたパスワード',
      '_WEBSITE' :                   'Webサイト',
      '_ADD_CREDENTIAL'  :           'パスワードを追加',
      '_USERNAME_FIELD' :            'ユーザー名フィールド',
      '_PASSWORD_FIELD' :            'パスワードフィールド',
      '_CREDENTIAL_SAVE_ERROR' :     'クレデンシャル情報の保存に失敗しました',
      '_DELETE_CREDENTIAL_CONFIRM' : 'サイト{{url}}の認証情報を削除してもよろしいですか?',
      '_DELETE_CREDENTIAL_ERROR' :   'クレデンシャル情報の削除に失敗しました',
      '_PASSWORD_IMPORT_SUCCESS' :   '{{total}}から{{parsed}}パスワードをインポートしました。',
      '_PASSWORD_IMPORT_ERROR' :     'パスワードファイルを解析できません。',
      '_ENABLE_PASSWORD_MANAGER' :   'パスワード管理を有効にします',
      '_CREDENTIALS_SAVE_WARNING' :  '警告：クレデンシャル情報の変更は、デバイスを再起動した後にのみ有効になります',
      '_CERTIFICATES' :              '証明書',
      '_OPEN_CERT_MANAGER' :         '証明書マネージャーを開きます',
      '_CERTIFICATES_PREFERENCES' :  '証明書の設定',
      '_CLEAR_CERTIFICATE_WARNINGS' :'証明書の警告を再度有効にする',
      '_CERTIFICATE_CLEAR_CONFIRM':  '自己署名証明書の警告はすべて復元されます。継続する？',
      '_SUCCESS_REBOOT_REQUIRED':    '変更を適用するには、再起動が必要です。今すぐ再起動しますか？',
      '_ENABLE_VKEYBOARD' :          'システム仮想キーボードを使用します',
      '_ENABLE_AUTOFILL' :           'フォームの自動入力を有効にする',
      '_OVERSCOLL_HISTORY' :         '履歴ナビゲーションジェスチャを有効にする',
    })
    .translations('es', {
      '_BROWSER' :                   'Navegador web',
      '_ON_STARTUP' :                'Durante el inicio',
      '_OPEN_HOMEPAGE' :             'Abrir página de inicio',
      '_OPEN_SETTINGS' :             'Abrir página de configuración',
      '_LAST_VISITED' :              'Continuar donde lo dejó',
      '_USER_AGENT' :                'Cambiar el agente de usuario',
      '_ENABLE_TOOLBAR' :            'Habilitar la barra de herramientas',
      '_TOOLBAR_ON_ERROR' :          'Solo mostrar la barra de herramientas cuando se produce un error',
      '_TOOLBAR_HISTORY' :           'Mostrar botones de historial',
      '_TOOLBAR_LOADING' :           'Mostrar controles de carga',
      '_TOOLBAR_BOOKMARKS' :         'Mostrar marcadores',
      '_HOMEPAGE' :                  'Página de inicio',
      '_FALLBACK_PAGE' :             'Página de reserva',
      '_LONG_PRESS_TIME' :           'Opciones de tiempo(s) de pulsar y sostener',
      '_CHROMIUM_SAVE_ERROR' :       'No se pudo configurar el navegador web',
      '_ALLOW_DOWNLOAD' :            'Permitir la descarga de archivos',
      '_NO_HOMEPAGE_ERROR' :         'No se pudo guardar la configuración. Se configuró el navegador para que al iniciar se abriera la página de inicio, pero no se estableció ninguna página de inicio',
      '_SAVED_PASSWORDS' :           'Contraseñas guardadas',
      '_WEBSITE' :                   'Sitio web',
      '_ADD_CREDENTIAL'  :           'Añadir contraseña',
      '_USERNAME_FIELD' :            'Campo de nombre de usuario',
      '_PASSWORD_FIELD' :            'Campo de contraseña',
      '_CREDENTIAL_SAVE_ERROR' :     'No se pudo guardar la información sobre las credenciales',
      '_DELETE_CREDENTIAL_CONFIRM' : '¿Seguro que quiere eliminar las credenciales del sitio {{ url }}?',
      '_DELETE_CREDENTIAL_ERROR' :   'No se pudo eliminar la información sobre las credenciales',
      '_PASSWORD_IMPORT_SUCCESS' :   '{{ parsed }} contraseñas importadas de {{ total }}.',
      '_PASSWORD_IMPORT_ERROR' :     'No se pudo analizar el archivo de contraseña.',
      '_ENABLE_PASSWORD_MANAGER' :   'Habilitar administración de contraseñas',
      '_CREDENTIALS_SAVE_WARNING' :  'AVISO: Los cambios en la información sobre credenciales solo surtirán efecto tras el reinicio del dispositivo',
      '_CERTIFICATES' :              'Certificados',
      '_OPEN_CERT_MANAGER' :         'Abrir el administrador de certificados',
      '_CERTIFICATES_PREFERENCES' :  'Preferencias de certificado',
      '_CLEAR_CERTIFICATE_WARNINGS' :'Volver a habilitar las advertencias de certificado',
      '_CERTIFICATE_CLEAR_CONFIRM':  'Se restaurarán todas las advertencias de certificados autofirmados. ¿Continuar?',
      '_SUCCESS_REBOOT_REQUIRED':    'Es necesario reiniciar para aplicar los cambios. ¿Reinicie ahora?',
      '_ENABLE_VKEYBOARD' :          'Utilice el teclado virtual del sistema',
      '_ENABLE_AUTOFILL' :           'Habilitar autocompletar formulario',
      '_OVERSCOLL_HISTORY' :         'Habilitar el gesto de navegación del historial',
    })
    .translations('pt-br', {
      '_BROWSER' :                   'Navegador da Web',
      '_ON_STARTUP' :                'Na inicialização',
      '_OPEN_HOMEPAGE' :             'Abrir a página inicial',
      '_OPEN_SETTINGS' :             'Abrir a página de configurações',
      '_LAST_VISITED' :              'Continue de onde você parou',
      '_USER_AGENT' :                'Alterar agente do usuário',
      '_ENABLE_TOOLBAR' :            'Habilitar a barra de ferramentas',
      '_TOOLBAR_ON_ERROR' :          'Mostrar a barra de ferramentas somente em caso de erro',
      '_TOOLBAR_HISTORY' :           'Mostrar botões de histórico',
      '_TOOLBAR_BOOKMARKS' :         'Mostrar favoritos',
      '_HOMEPAGE' :                  'Página inicial',
      '_FALLBACK_PAGE' :             'Página de fallback',
      '_LONG_PRESS_TIME' :           'Opções de tempo(s) de pressionar e manter pressionado',
      '_CHROMIUM_SAVE_ERROR' :       'Falha ao configurar o navegador da Web',
      '_ALLOW_DOWNLOAD' :            'Permitir download de arquivos',
      '_NO_HOMEPAGE_ERROR' :         'Falha ao salvar a configuração. O navegador foi configurado para abrir a página inicial na inicialização, mas não foi configurada nenhuma página inicial',
      '_SAVED_PASSWORDS' :           'Senhas salvas',
      '_WEBSITE' :                   'Site',
      '_ADD_CREDENTIAL'  :           'Adicionar senha',
      '_USERNAME_FIELD' :            'Campo Nome de usuário',
      '_PASSWORD_FIELD' :            'Campo Senha',
      '_CREDENTIAL_SAVE_ERROR' :     'Falha ao salvar os dados de credenciais',
      '_DELETE_CREDENTIAL_CONFIRM' : 'Tem certeza de que deseja excluir a credencial do site {{url}}?',
      '_DELETE_CREDENTIAL_ERROR' :   'Falha ao excluir os dados de credenciais',
      '_PASSWORD_IMPORT_SUCCESS' :   'Importou {{parsed}} senhas de {{total}}.',
      '_PASSWORD_IMPORT_ERROR' :     'Não é possível analisar o arquivo de senha.',
      '_ENABLE_PASSWORD_MANAGER' :   'Habilitar gerenciamento de senha',
      '_CREDENTIALS_SAVE_WARNING' :  'ATENÇÃO: As alterações nos dados de credenciais somente entrarão em vigor após reiniciar o dispositivo',
      '_CERTIFICATES' :              'Certificados',
      '_OPEN_CERT_MANAGER' :         'Abrir gerenciador de certificados',
      '_CERTIFICATES_PREFERENCES' :  'Preferências de certificado',
      '_CLEAR_CERTIFICATE_WARNINGS' :'Reativar avisos de certificado',
      '_CERTIFICATE_CLEAR_CONFIRM':  'Todos os avisos de certificados autoassinados serão restaurados. Continuar?',
      '_SUCCESS_REBOOT_REQUIRED':    'Uma reinicialização é necessária para aplicar as alterações. Reinicie agora?',
      '_ENABLE_VKEYBOARD' :          'Use o teclado virtual do sistema',
      '_ENABLE_AUTOFILL' :           'Ativar preenchimento automático de formulário',
      '_OVERSCOLL_HISTORY' :         'Ativar gesto de navegação do histórico',
    })
    .translations('ru', {
      '_BROWSER' :                   'Веб-браузер',
      '_ON_STARTUP' :                'На запуске',
      '_OPEN_HOMEPAGE' :             'Открыть главную страницу',
      '_OPEN_SETTINGS' :             'Открыть страницу настроек',
      '_LAST_VISITED' :              'Продолжить с места остановки',
      '_USER_AGENT' :                'Сменить пользовательского посредника',
      '_ENABLE_TOOLBAR' :            'Включить панель инструментов',
      '_TOOLBAR_ON_ERROR' :          'Показывать панель инструментов только при ошибке',
      '_TOOLBAR_HISTORY' :           'Показать кнопки хронологии',
      '_TOOLBAR_BOOKMARKS' :         'Показать закладки',
      '_HOMEPAGE' :                  'Главная страница',
      '_FALLBACK_PAGE' :             'Резервная страница',
      '_LONG_PRESS_TIME' :           'Продолжительность нажатия и удерживания опций (с)',
      '_CHROMIUM_SAVE_ERROR' :       'Не удалось настроить веб-браузер',
      '_ALLOW_DOWNLOAD' :            'Разрешить загрузку файлов',
      '_NO_HOMEPAGE_ERROR' :         'Не удалось сохранить конфигурацию. Браузер был настроен таким образом, чтобы при запуске открывалась главная страница, но главная страница не была задана',
      '_SAVED_PASSWORDS' :           'Сохраненные пароли',
      '_WEBSITE' :                   'Веб-сайт',
      '_ADD_CREDENTIAL'  :           'Добавить пароль',
      '_USERNAME_FIELD' :            'Поле для имени пользователя',
      '_PASSWORD_FIELD' :            'Поле для пароля',
      '_CREDENTIAL_SAVE_ERROR' :     'Не удалось сохранить учетные данные',
      '_DELETE_CREDENTIAL_CONFIRM' : 'Вы уверены, что хотите удалить учетные данные для сайта {{ url }}?',
      '_DELETE_CREDENTIAL_ERROR' :   'Не удалось удалить учетные данные',
      '_PASSWORD_IMPORT_SUCCESS' :   'Импортировано {{ проанализированное количество }} паролей из {{ общее количество }}.',
      '_PASSWORD_IMPORT_ERROR' :     'Не удалось проанализировать файл пароля.',
      '_ENABLE_PASSWORD_MANAGER' :   'Включить управление паролями',
      '_CREDENTIALS_SAVE_WARNING' :  'ВНИМАНИЕ! Изменения в учетных данных вступят в силу только после перезагрузки устройства',
      '_CERTIFICATES' :              'Сертификаты',
      '_OPEN_CERT_MANAGER' :         'Открыть администратор сертификатов',
      '_CERTIFICATES_PREFERENCES' :  'Настройки сертификата',
      '_CLEAR_CERTIFICATE_WARNINGS' :'Повторно включить предупреждения сертификата',
      '_CERTIFICATE_CLEAR_CONFIRM':  'Все предупреждения о самоподписанных сертификатах будут восстановлены. Продолжать?',
      '_SUCCESS_REBOOT_REQUIRED':    'Для применения изменений требуется перезагрузка. Перезагрузить сейчас?',
      '_ENABLE_VKEYBOARD' :          'Использовать системную виртуальную клавиатуру',
      '_ENABLE_AUTOFILL' :           'Включить автозаполнение формы',
      '_OVERSCOLL_HISTORY' :         'Включить жест навигации по истории',
    })
}]);
